<?xml version="1.0"?>

<cfsInfo status="finished" infoWriteCounter="11" infoRejectCounter="0">
  <summary>
    <timer wall-clock="0.16s" wall="0.16" cpu="0.209468" calls="1"/>
    <!-- memory in MB-->
    <memory final="307.31" peak="372.32"/>
  </summary>
  <header id="">
    <environment started="2021-Dec-07 06:46:30" host="DM-T490s" estimatedEnd="2021-Dec-07 06:46:30" remainingTime="0" timePerStep="0.002"/>
    <progOpts problem="SmoothMechMWE2D" parameterFile="/home/dominik/Devel/Merges/IterCoupleTestcaseFix/MechSmooth/SmoothMechMWE2D/SmoothMechMWE2D.xml" schemaPath="/home/dominik/Devel/CFS_BIN/build_opt/share/xml" meshFile="" logConfFile="" detailed="no">
      <cfs version="21.11" name="Frohes Fensterln" build="Release" git_commit="1e8a81f25fd8e64e10bade756143e4174f518540" git_branch="LinFlow_ALE_merge" exe="/home/dominik/Devel/CFS_BIN/build_opt/bin/../bin/cfsbin"/>
      <openmp CFS_NUM_THREADS="2" MKL_NUM_THREADS="2" OMP_NUM_THREADS="2"/>
    </progOpts>
    <domain nx="3" ny="1" nz="1">
      <grids>
        <timer wall-clock="0.004s" wall="0.004" cpu="0.00519" calls="1"/>
        <grid gridId="default" dimensions="2" elements="12" nodes="8"/>
      </grids>
      <coordinateSystems>
        <system name="default"/>
      </coordinateSystems>
      <regions>
        <region name="Air_1" id="0" type="volume" regular="yes" hom="yes" nodes="4" elems="1" isQuadratic="no"/>
        <region name="Air_2" id="1" type="volume" regular="yes" hom="yes" nodes="6" elems="2" isQuadratic="no"/>
        <region name="Exc_1" id="2" type="surface" regular="yes" hom="yes" nodes="2" elems="1" isQuadratic="no"/>
        <region name="Exc_2" id="3" type="surface" regular="yes" hom="yes" nodes="2" elems="1" isQuadratic="no"/>
        <region name="Fix_1_b" id="4" type="surface" regular="yes" hom="yes" nodes="2" elems="1" isQuadratic="no"/>
        <region name="Fix_1_t" id="5" type="surface" regular="yes" hom="yes" nodes="2" elems="1" isQuadratic="no"/>
        <region name="Fix_2_b" id="6" type="surface" regular="yes" hom="yes" nodes="3" elems="2" isQuadratic="no"/>
        <region name="Fix_2_t" id="7" type="surface" regular="yes" hom="yes" nodes="3" elems="2" isQuadratic="no"/>
        <region name="IF" id="8" type="surface" regular="yes" hom="yes" nodes="2" elems="1" isQuadratic="no"/>
      </regions>
      <namedNodes/>
      <namedElements/>
      <globalMathParser dt="2e-05" f="0" nx="3" ny="1" nz="1" step="3" t="5.5e-05" t0="0"/>
    </domain>
    <results>
      <timer wall-clock="0.003s" wall="0.003" cpu="0.009444" calls="27"/>
    </results>
  </header>
  <sequenceStep sequence="1">
    <transient>
      <header unit="s"/>
      <init_transient>
        <timer wall-clock="0.064s" wall="0.064" cpu="0.095345" calls="1"/>
      </init_transient>
    </transient>
    <PDE>
      <iterCoupledPDE>
        <convergence maxNumIters="5" logging="yes" stopOnDivergence="no" justNorm="no">
          <step number="1" numIters="3" converged="yes">
            <quantity name="smoothVelocity">
              <iteration count="1" norm="0" converged="yes"/>
              <iteration count="2" norm="0" converged="yes"/>
              <iteration count="3" norm="0" converged="yes"/>
            </quantity>
            <quantity name="mechDisplacement">
              <iteration count="1" norm="1" converged="no"/>
              <iteration count="2" norm="0" converged="yes"/>
              <iteration count="3" norm="0" converged="yes"/>
            </quantity>
            <quantity name="mechVelocity">
              <iteration count="1" norm="0" converged="yes"/>
              <iteration count="2" norm="0" converged="yes"/>
              <iteration count="3" norm="0" converged="yes"/>
            </quantity>
            <quantity name="smoothDisplacement">
              <iteration count="1" norm="0" converged="yes"/>
              <iteration count="2" norm="1" converged="no"/>
              <iteration count="3" norm="0" converged="yes"/>
            </quantity>
          </step>
          <step number="2" numIters="3" converged="yes">
            <quantity name="smoothVelocity">
              <iteration count="1" norm="0" converged="yes"/>
              <iteration count="2" norm="0" converged="yes"/>
              <iteration count="3" norm="0" converged="yes"/>
            </quantity>
            <quantity name="mechDisplacement">
              <iteration count="1" norm="1" converged="no"/>
              <iteration count="2" norm="0" converged="yes"/>
              <iteration count="3" norm="0" converged="yes"/>
            </quantity>
            <quantity name="mechVelocity">
              <iteration count="1" norm="0" converged="yes"/>
              <iteration count="2" norm="0" converged="yes"/>
              <iteration count="3" norm="0" converged="yes"/>
            </quantity>
            <quantity name="smoothDisplacement">
              <iteration count="1" norm="1" converged="no"/>
              <iteration count="2" norm="0.81326" converged="no"/>
              <iteration count="3" norm="0" converged="yes"/>
            </quantity>
          </step>
          <step number="3" numIters="3" converged="yes">
            <quantity name="smoothVelocity">
              <iteration count="1" norm="0" converged="yes"/>
              <iteration count="2" norm="0" converged="yes"/>
              <iteration count="3" norm="0" converged="yes"/>
            </quantity>
            <quantity name="mechDisplacement">
              <iteration count="1" norm="1" converged="no"/>
              <iteration count="2" norm="0" converged="yes"/>
              <iteration count="3" norm="0" converged="yes"/>
            </quantity>
            <quantity name="mechVelocity">
              <iteration count="1" norm="0" converged="yes"/>
              <iteration count="2" norm="0" converged="yes"/>
              <iteration count="3" norm="0" converged="yes"/>
            </quantity>
            <quantity name="smoothDisplacement">
              <iteration count="1" norm="1" converged="no"/>
              <iteration count="2" norm="0.5861" converged="no"/>
              <iteration count="3" norm="0" converged="yes"/>
            </quantity>
          </step>
        </convergence>
        <mechanic>
          <header>
            <region name="Air_1" damping="none"/>
            <integrators>
              <matrixBiLinearForms>
                <bilinearForm integrator="LinElastInt">
                  <coef value="[[17.1141, 16.443, 3.42114e-49],[16.443, 17.1141, -3.42114e-49],[3.42114e-49, -3.42114e-49, 0.33557]]"/>
                </bilinearForm>
                <bilinearForm integrator="MassInt" type="BBInt" complex="no" region="Air_1">
                  <row pde="mechanic" functionId="0" result="mechDisplacement"/>
                  <column pde="mechanic" functionId="0" result="mechDisplacement"/>
                  <destination feMatrix="mass" feMatrixMapped="mass" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                  <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="no"/>
                </bilinearForm>
                <bilinearForm integrator="LinElastInt" type="BDBInt" complex="no" BOp="StrainOperator2D" region="Air_1">
                  <row pde="mechanic" functionId="0" result="mechDisplacement"/>
                  <column pde="mechanic" functionId="0" result="mechDisplacement"/>
                  <destination feMatrix="stiffness" feMatrixMapped="stiffness" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                  <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="no"/>
                </bilinearForm>
              </matrixBiLinearForms>
              <rhsLinearForms>
                <linearForm integrator="PressureInt" region="IF">
                  <entities name="IF" size="1" region="IF"/>
                  <row pde="mechanic" result="mechDisplacement" solutionDependent="no"/>
                </linearForm>
              </rhsLinearForms>
            </integrators>
          </header>
          <material name="FluidMat">
            <regionList>
              <region name="Air_1"/>
            </regionList>
            <property name="Mechanic_Stiffness_Tensor">
              <tensor dim1="6" dim2="6">
                <real>
                   1.711409e+01  1.644295e+01  1.644295e+01  0.000000e+00  0.000000e+00  0.000000e+00
                   1.644295e+01  1.711409e+01  1.644295e+01  0.000000e+00  0.000000e+00  0.000000e+00
                   1.644295e+01  1.644295e+01  1.711409e+01  0.000000e+00  0.000000e+00  0.000000e+00
                   0.000000e+00  0.000000e+00  0.000000e+00  3.355705e-01  0.000000e+00  0.000000e+00
                   0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.355705e-01  0.000000e+00
                   0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.355705e-01
                </real>
              </tensor>
            </property>
            <property name="Mechanic_Elasticity_Modulus" value="(1,0)"/>
            <property name="Mechanic_Poisson_Ratio" value="(0.49,0)"/>
            <property name="Density" value="(0,0)"/>
          </material>
          <feSpaces>
            <mechDisplacement>
              <h1Nodal>
                <regionList>
                  <Air_1/>
                  <default order="1"/>
                </regionList>
              </h1Nodal>
            </mechDisplacement>
          </feSpaces>
          <feFunctions>
            <mechDisplacement/>
            <homDirichletBC>
              <surfElemList name="Fix_1_t" dofs="y"/>
              <surfElemList name="Fix_1_b" dofs="y"/>
            </homDirichletBC>
            <inhomDirichletBC>
              <surfElemList name="Exc_1" dofs="x" value="10e-6*sin(2*pi*1000*t)*(1-exp(-(t/1e-3)^1)) 0.0"/>
            </inhomDirichletBC>
          </feFunctions>
        </mechanic>
        <smooth>
          <header>
            <region name="Air_2" damping="none"/>
            <integrators>
              <matrixBiLinearForms>
                <bilinearForm integrator="LinElastInt">
                  <coef value="[[17.1141, 16.443, 3.42114e-49],[16.443, 17.1141, -3.42114e-49],[3.42114e-49, -3.42114e-49, 0.33557]]"/>
                </bilinearForm>
                <bilinearForm integrator="LinElastInt" type="BDBInt" complex="no" BOp="StrainOperator2D" region="Air_2">
                  <row pde="smooth" functionId="0" result="smoothDisplacement"/>
                  <column pde="smooth" functionId="0" result="smoothDisplacement"/>
                  <destination feMatrix="stiffness" feMatrixMapped="stiffness" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                  <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="no"/>
                </bilinearForm>
              </matrixBiLinearForms>
              <rhsLinearForms/>
            </integrators>
          </header>
          <material name="FluidMat">
            <regionList>
              <region name="Air_2"/>
            </regionList>
            <property name="Mechanic_Stiffness_Tensor">
              <tensor dim1="6" dim2="6">
                <real>
                   1.711409e+01  1.644295e+01  1.644295e+01  0.000000e+00  0.000000e+00  0.000000e+00
                   1.644295e+01  1.711409e+01  1.644295e+01  0.000000e+00  0.000000e+00  0.000000e+00
                   1.644295e+01  1.644295e+01  1.711409e+01  0.000000e+00  0.000000e+00  0.000000e+00
                   0.000000e+00  0.000000e+00  0.000000e+00  3.355705e-01  0.000000e+00  0.000000e+00
                   0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.355705e-01  0.000000e+00
                   0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.355705e-01
                </real>
              </tensor>
            </property>
            <property name="Mechanic_Elasticity_Modulus" value="(1,0)"/>
            <property name="Mechanic_Poisson_Ratio" value="(0.49,0)"/>
            <property name="Density" value="(0,0)"/>
          </material>
          <feSpaces>
            <smoothDisplacement>
              <h1Nodal>
                <regionList>
                  <Air_2/>
                  <default order="1"/>
                </regionList>
              </h1Nodal>
            </smoothDisplacement>
          </feSpaces>
          <feFunctions>
            <smoothDisplacement/>
            <homDirichletBC>
              <surfElemList name="Fix_2_t" dofs="y"/>
              <surfElemList name="Fix_2_b" dofs="y"/>
              <surfElemList name="Exc_2" dofs="x y"/>
            </homDirichletBC>
            <inhomDirichletBC>
              <surfElemList name="IF" dofs="x y" value="FeFunction for result 'mechDisplacement'"/>
            </inhomDirichletBC>
          </feFunctions>
        </smooth>
      </iterCoupledPDE>
    </PDE>
    <OLAS>
      <mechanic>
        <setup idbcHandling="elimination" staticCondensation="no">
          <feFunctions totalNumEqns="4" totalNumFreeEqns="2" totalNumDirichlet="2">
            <function id="0" name="mechDisplacement" numEqns="4" lastFreeEqn="2" numDirichlet="2">
              <usedInBlocks>
                <block id="0"/>
              </usedInBlocks>
            </function>
          </feFunctions>
          <sbmBlocks>
            <block id="0" size="4" lastFreeIndex="2"/>
          </sbmBlocks>
        </setup>
        <solver>
          <pardiso hermitean="no" symStruct="no" symmetric="yes" posDef="no" pardiso_matrix="-2" solver="direct">
            <summary>
              <setup>
                <timer label="setup_pardiso" wall-clock="0s" wall="0" cpu="0.000137" calls="1"/>
              </setup>
              <solve>
                <timer label="solve_pardiso" wall-clock="0s" wall="0" cpu="0.000113" calls="9"/>
              </solve>
            </summary>
            <process>
              <call number="0">
                <symbfact cpu="0.000109" wall="0" peakMem="142" permanentMem="142"/>
                <numfact cpu="5e-06" wall="0" peakMem="0"/>
              </call>
            </process>
          </pardiso>
        </solver>
        <precond>
          <idPrecond>
            <summary>
              <precond_Id_setup>
                <timer wall-clock="0s" wall="0" cpu="0" calls="1"/>
              </precond_Id_setup>
              <precond_Id_run>
                <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
              </precond_Id_run>
            </summary>
          </idPrecond>
        </precond>
        <process>
          <solver solutionIsOkay="yes"/>
        </process>
      </mechanic>
      <smooth>
        <setup idbcHandling="elimination" staticCondensation="no">
          <feFunctions totalNumEqns="6" totalNumFreeEqns="2" totalNumDirichlet="4">
            <function id="0" name="smoothDisplacement" numEqns="6" lastFreeEqn="2" numDirichlet="4">
              <usedInBlocks>
                <block id="0"/>
              </usedInBlocks>
            </function>
          </feFunctions>
          <sbmBlocks>
            <block id="0" size="6" lastFreeIndex="2"/>
          </sbmBlocks>
        </setup>
        <solver>
          <pardiso hermitean="no" symStruct="no" symmetric="yes" posDef="no" pardiso_matrix="-2" solver="direct">
            <summary>
              <setup>
                <timer label="setup_pardiso" wall-clock="0s" wall="0" cpu="0.000421" calls="1"/>
              </setup>
              <solve>
                <timer label="solve_pardiso" wall-clock="0s" wall="0" cpu="0.000149" calls="9"/>
              </solve>
            </summary>
            <process>
              <call number="0">
                <symbfact cpu="0.00016" wall="0" peakMem="142" permanentMem="142"/>
                <numfact cpu="5.3e-05" wall="0" peakMem="0"/>
              </call>
            </process>
          </pardiso>
        </solver>
        <precond>
          <idPrecond>
            <summary>
              <precond_Id_setup>
                <timer wall-clock="0s" wall="0" cpu="1e-06" calls="1"/>
              </precond_Id_setup>
              <precond_Id_run>
                <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
              </precond_Id_run>
            </summary>
          </idPrecond>
        </precond>
        <process>
          <solver solutionIsOkay="yes"/>
        </process>
      </smooth>
      <graph_setup>
        <timer wall-clock="0.035s" wall="0.035" cpu="0.035895" calls="2" sub="true"/>
      </graph_setup>
    </OLAS>
    <analysis>
      <summary>
        <assemble>
          <timer wall-clock="0.019s" wall="0.019" cpu="0.019947" calls="18"/>
        </assemble>
      </summary>
    </analysis>
  </sequenceStep>
  <warning lineNum="80" fileName="/home/dominik/Devel/CFS_SRC/CFS/source/Domain/Results/ResultFunctor.cc" message="Evaluation of nodal values is very inefficient at the moment."/>
</cfsInfo>